Description

Currently, there is a Time Manager plugin for QGIS that animates shapefiles based on attribute timestamps, and it is phenomenal.  I think

as GIS progresses, the need to analyze the temporal dimension in addition to the geographic dimension needs to be honed and expanded

upon further.  Right now, I can think of many uses for this.  But here's one strong justification for focusing on adding the capability to GIS.

Situation:

    -   Currently, the only real option for implementing time-aware data is to use spatial databases that store timestamps with every feature

being collected.

    -   Some organizations don't know GIS well enough to understand spatial databases, nor how to manipulate them, so they're stuck with

shapefiles, which aren't time-aware without a "datestamp" attribute of some sort.

    -   Date stamps in shapefiles are "unintelligent" in nature and are not universally formatted to be understood by all applications, having

originated by other applications that format time in their own ways.

    -   It would be nice to know when an item was recorded, when it was modified, how old it is in relation to "today," or possibly to see a

range of datestamped points, lines, or polygons on a map that are visually presented with contrasting symbols... much like the logic of

"everything on the map that is green is 'current,' whereas everything on the map in red is 60 days old or older." 

    -   Having such a map that visually represented features by time in a dynamic way so as to reflect a reference to the current date could

be useful to many agencies for a visual assessment of maintenance maps, service routes, or accounting audits.

I think here the ability to add either a "current date" variable to QGIS, or even an immutable attribute that auto-calculates the current date

(plus or minus any number of days, or minutes, or seconds, etc.) would be an exceptional advancement for geographic record keeping

and analysis.  And, from a symbology perspective, to be able to create a rule filter for an "Is older than [current date] by [x]

days/hrs/mins/secs" would be astounding.

History

#1 - 2012-03-07 03:21 AM - Giovanni Manghi

- Priority changed from Normal to Low

- Target version set to Version 2.0.0

Have you evaluate the possibility to support the development of such feature? Cheers

#2 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2014-03-21 11:00 PM - Daniel Scholten

If QGIS wants to become  a solution for time-dependent modeling, comprehensive support for temporal data will be crucial. There are already some

plugins, which could profit from a native temporal data handling, for example Crayfish , Tuflow plugin , Midvatten and GHydraulics . I think for this reason

the priority of this issue should be increased at least to normal.
http://www.lutraconsulting.co.uk/resources/crayfish/
http://www.tuflow.com/News_Room/20130918_3.aspx
https://sites.google.com/site/midvattenpluginforqgis/
http://epanet.de/ghydraulics/


Grass introduced native temporal data support in version 7, see Grass website and a related pdf .

#4 - 2015-12-08 07:59 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

since QGIS 2.12, the time capabilities of QGIS have greatly evolved:

- There is a better support of Date/Timestamps from native providers (SHP, PostGIS, Oracle, etc.).

- There are about 10 expression functions to make time/intervals calculations.

- the expression now returns the "current date".

- you can use those functions to make calculations on time data (ex: day( age( now() , "MAJ_DATE" )) returns the number of days from the current date to

the field "MAJ_DATE").

- you can use those functions in symbology data defined parameters.

I think that all the needs of this feature request are met...

Can you confirm and add what is not yet implemented on this side ?

#5 - 2016-01-15 01:50 PM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Hello, bug triage...

I am closing this feature request for lack of feedback and because it seems to be implemented at least in QGIS master.

Feel free to reopen it if I have missed something !
http://grass.osgeo.org/grass70/manuals/temporalintro.html
http://www.geostat-course.org/system/files/Presentation_0.pdf

